发布时间 :2004-08-31 00:00:00
修订时间 :2010-02-06 00:43:03

[原文]Buffer overflow in the SDO_CODE_SIZE procedure of the MD2 package (MDSYS.MD2.SDO_CODE_SIZE) in Oracle 10g before Patch 2 allows local users to execute arbitrary code via a long LAYER parameter.


        Oracle 10g Patch 2之前版本的MD2 package (MDSYS.MD2.SDO_CODE_SIZE)的SDO_CODE_SIZE程序存在缓冲区溢出漏洞。本地用户借助超长LAYER参数执行任意代码。

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:oracle:application_server: Oracle10g Application Server

- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(UNKNOWN)  XF  oracle-mdsysmd2sdocodesize-bo(20078)
(VENDOR_ADVISORY)  FULLDISC  20040902 [SHATTER Team Security Alert] Multiple vulnerabilities in Oracle Database Server

- 漏洞信息

高危 缓冲区溢出
2004-08-31 00:00:00 2010-02-06 00:00:00
        Oracle 10g Patch 2之前版本的MD2 package (MDSYS.MD2.SDO_CODE_SIZE)的SDO_CODE_SIZE程序存在缓冲区溢出漏洞。本地用户借助超长LAYER参数执行任意代码。

- 公告与补丁

        It is reported that this issue has been addressed by Oracle. This cannot be confirmed at the moment. Please see the referenced Oracle advisory and contact the vendor for more information.
        Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: .

- 漏洞信息

Oracle MD2 Package Multiple Procedure Overflow
Remote / Network Access Denial of Service, Input Manipulation
Loss of Integrity, Loss of Availability Patch / RCS
Exploit Commercial Vendor Verified

- 漏洞描述

A remote overflow exists in Oracle Database Server MD2 package. The package fails to properly sanitize user input supplied to the LAYER parameter which is passed to the SDO_CODE_SIZE procedure or VALIDATE_GEOM procedure resulting in a buffer overflow. With a specially crafted request, an attacker can cause the execution of arbitrary code or crash the server resulting in a loss of integrity or availability.

- 时间线

2004-08-31 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, Oracle has released a patch to address this vulnerability: 9i Patchset 4 ( 10g ( Patch 2

- 相关参考

- 漏洞作者